Subject: bug#63629: 28.3; Emacsclient exits with no error message and breaks terminal when opening a file without permissions

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 May 2023 22:05:29 +0300

> From: Adam Ibrahim <[email-masked]>
> Date: Sun, 21 May 2023 14:48:05 -0400
> 
> what happens when I try using GDB: I can only use GDB on my desktop right now. when I try running
> `gdb emacsclient no-perms`, it prints an error message: `/path/to/no-perms: Permission denied`. So
> whatever this problem is, it doesn't show up in GDB on my desktop.

You should invoke emacsclient from GDB like this:

  $ gdb --args emacsclient no-perms